Note: install laster version scala & sbt

昨晚去參加了Taiwan R UserGroup 的Spark 課程,  新認識 Spark & Scala

在Ubuntu 12.04 LTS with HWE, 裝新版的 scala & sbt 的話 (Nov. 4, 2014)!
最簡單的方法就是抓prebuilt 的debian package 了

# download prebuilt package
wget http://www.scala-lang.org/files/archive/scala-2.11.4.deb
wget http://dl.bintray.com/sbt/debian/sbt-0.13.6.deb
# install package
sudo dpkg -i scala-2.11.4.deb
sudo dpkg -i sbt-0.13.6.deb

裝好後 就執行下面兩個command 就可以看到版本訊息

$scala -version

Scala code runner version 2.11.4 — Copyright 2002-2013, LAMP/EPFL
Getting org.scala-sbt sbt 0.13.6 …

$ sbt about

[info] Set current project to kunyi (in build file:/home/kunyi/)
[info] This is sbt 0.13.6
[info] The current project is {file:/home/kunyi/}kunyi 0.1-SNAPSHOT
[info] The current project is built against Scala 2.10.4
[info] Available Plugins: sbt.plugins.IvyPlugin, sbt.plugins.JvmPlugin, sbt.plugins.CorePlugin, sbt.plugins.JUnitXmlReportPlugin
[info] sbt, sbt plugins, and build definitions are using Scala 2.10.4

廣告

發表迴響

在下方填入你的資料或按右方圖示以社群網站登入:

WordPress.com Logo

您的留言將使用 WordPress.com 帳號。 登出 / 變更 )

Twitter picture

您的留言將使用 Twitter 帳號。 登出 / 變更 )

Facebook照片

您的留言將使用 Facebook 帳號。 登出 / 變更 )

Google+ photo

您的留言將使用 Google+ 帳號。 登出 / 變更 )

連結到 %s

%d 位部落客按了讚: